Bug 970034 - Review Request: libmm-qt - Qt-only wrapper for ModemManager DBus API
Review Request: libmm-qt - Qt-only wrapper for ModemManager DBus API
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: libnm-qt
  Show dependency treegraph
 
Reported: 2013-06-03 07:09 EDT by Jan Grulich
Modified: 2016-08-14 12:28 EDT (History)
5 users (show)

See Also:
Fixed In Version: kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:35:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ltinkl: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2013-06-03 07:09:59 EDT
Spec URL: http://jgrulich.fedorapeople.org/libmm-qt.spec
SRPM URL: http://jgrulich.fedorapeople.org/libmm-qt-0.6.0-1.20130422git657646b.fc18.src.rpm
Description: Qt libraries and header files for developing applications that use ModemManager
Fedora Account System Username: jgrulich
Comment 1 Lukáš Tinkl 2013-06-03 10:13:10 EDT
Review problems:
- The .spec file license doesn't match that of the source code (GPLv2 vs. LGPL)

Rpmlint problems:
- libmm-qt.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/ModemManagerQt.pc

Move the file?

- libmm-qt-devel.x86_64: E: useless-provides libmm-qt-devel

Fix

- libmm-qt-devel.x86_64: W: no-documentation

Should we generate API doc?
Comment 2 Jan Grulich 2013-06-03 11:40:49 EDT
Update:
1) fixed
2) moved
3) hmm, don't know, we don't have libmm-qt and libnm-qt fully documented

Spec URL: http://jgrulich.fedorapeople.org/libmm-qt.spec
SRPM URL: http://jgrulich.fedorapeople.org/libmm-qt-0.6.0-1.20130422git657646b.fc19.src.rpm
Comment 3 Lukáš Tinkl 2013-06-03 14:27:54 EDT
The package passes all MUST items


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL", "LGPL (v2 or later)", "Unknown or generated". 22 files have
     unknown license. Detailed output of licensecheck in /home/ltinkl/tmp
     /libmm-qt/review-libmm-qt/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[?]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libmm-qt-0.6.0-1.20130422git657646b.fc18.x86_64.rpm
          libmm-qt-devel-0.6.0-1.20130422git657646b.fc18.x86_64.rpm
libmm-qt-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libmm-qt-devel libmm-qt
libmm-qt-devel.x86_64: W: no-documentation
libmm-qt.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libModemManagerQt.so.0.5.0 /lib64/libm.so.6
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
libmm-qt-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libModemManagerQt.so.0()(64bit)
    libmm-qt(x86-64)
    pkgconfig(QtCore)
    pkgconfig(QtDBus)
    pkgconfig(QtXml)

libmm-qt (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    ModemManager
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
libmm-qt-devel:
    libmm-qt-devel
    libmm-qt-devel(x86-64)
    pkgconfig(ModemManagerQt)

libmm-qt:
    libModemManagerQt.so.0()(64bit)
    libmm-qt
    libmm-qt(x86-64)



Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review --name libmm-qt
Comment 4 Jan Grulich 2013-06-03 14:57:30 EDT
New Package SCM Request
=======================
Package Name: libmm-qt
Short Description: Qt-only wrapper for ModemManager DBus API
Owners: jgrulich
Branches: f17 f18 f19
InitialCC: ltinkl
Comment 5 Gwyn Ciesla 2013-06-03 15:45:51 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-06-04 17:37:42 EDT
kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc18,libnm-qt-0.9.8-1.20130527git0dd3793.fc18,libmm-qt-0.6.0-1.20130422git657646b.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc18,libnm-qt-0.9.8-1.20130527git0dd3793.fc18,libmm-qt-0.6.0-1.20130422git657646b.fc18
Comment 7 Fedora Update System 2013-06-04 17:39:09 EDT
kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc19,libnm-qt-0.9.8-1.20130527git0dd3793.fc19,libmm-qt-0.6.0-1.20130422git657646b.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc19,libnm-qt-0.9.8-1.20130527git0dd3793.fc19,libmm-qt-0.6.0-1.20130422git657646b.fc19
Comment 8 Fedora Update System 2013-06-04 22:29:03 EDT
kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc19, libnm-qt-0.9.8-1.20130527git0dd3793.fc19, libmm-qt-0.6.0-1.20130422git657646b.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-06-13 02:35:13 EDT
kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc19, libnm-qt-0.9.8-1.20130527git0dd3793.fc19, libmm-qt-0.6.0-1.20130422git657646b.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-06-13 22:24:39 EDT
kde-plasma-nm-0.9.3.0-1.20130604git649e5f4.fc18, libnm-qt-0.9.8-1.20130527git0dd3793.fc18, libmm-qt-0.6.0-1.20130422git657646b.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.